High Priest Sylvain:
Elven Wizards deeply share feelings with spirits and practice more powerful and complicated magic than Elven Mages, such as Elemental Magic, Black Magic and Summoning Magic. They command fire and wind to attack enemies, take lives with black magic, and summon spirits of mother nature as 'servitors.'
Among Elven Wizards, those who want to study elemental magic become Spellsingers, and those who want to reach the ultimate state of Summoning Magic become Elemental Summoners.
Also, to become an Elven Wizard, you must bring back the Eternity Diamond as proof.
Ask about the Eternity Diamond.
Return